### A free/open-source library for quantitative finance

Public Member Functions
GemanRoncoroniProcess Class Reference
Stochastic processes

Geman-Roncoroni process class. More...

`#include <ql/experimental/processes/gemanroncoroniprocess.hpp>`

Inheritance diagram for GemanRoncoroniProcess:
[legend]

List of all members.

## Public Member Functions

| GemanRoncoroniProcess (Real x0, Real alpha, Real beta, Real gamma, Real delta, Real eps, Real zeta, Real d, Real k, Real tau, Real sig2, Real a, Real b, Real theta1, Real theta2, Real theta3, Real psi)
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time t, Real x) const
| returns the drift part of the equation, i.e.
Real | diffusion (Time t, Real x) const
| returns the diffusion part of the equation, i.e.
Real | stdDeviation (Time t0, Real x0, Time dt) const
Real | evolve (Time t0, Real x0, Time dt, Real dw) const
Real | evolve (Time t0, Real x0, Time dt, Real dw, const Array &du) const

## Detailed Description

Geman-Roncoroni process class.

This class describes the Geman-Roncoroni process governed by

## Member Function Documentation

Real stdDeviation | ( | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the standard deviation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess1D.

Real evolve | ( | Time | t0,
|  | Real | x0,
|  | Time | dt,
|  | Real | dw
| ) |  | const`[virtual]`

returns the asset value after a time interval according to the given discretization. By default, it returns

where is the expectation and the standard deviation.

Reimplemented from StochasticProcess1D.